/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    newServerLogger = require('../../../../serverside/logger/new_server_logger.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['New server logger.'] = function (test) {
    var logger = newServerLogger({
        SERVER_LOG_PATH: testResource.resolveWorkFile('work_new_server_logger.log'),
        CONSOLE_ENABLED: false
    });
    test.ok(logger);
    test.done();
};